Loading...
Searching...
No Matches
TimeDomainDisplayPlot Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget for displaying time domain plots. More...

`#include <gnuradio/qtgui/TimeDomainDisplayPlot.h>`

## Public Slots

void | setSampleRate (double sr, double units, const std::string &strunits)
void | setAutoScale (bool state)
void | setAutoScaleShot ()
void | setSemilogx (bool en)
void | setSemilogy (bool en)
void | legendEntryChecked (QwtPlotItem *plotItem, bool on) override
void | legendEntryChecked (const QVariant &plotItem, bool on, int index) override
void | enableTagMarker (unsigned int which, bool en)
void | setYLabel (const std::string &label, const std::string &unit="")
void | attachTriggerLines (bool en)
void | setTriggerLines (double x, double y)
void | setTagTextColor (QColor c)
void | setTagBackgroundColor (QColor c)
void | setTagBackgroundStyle (Qt::BrushStyle b)
Public Slots inherited from DisplayPlot
virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setYaxis (double min, double max)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual void | setLineColor (unsigned int which, QColor color)
virtual QColor | getLineColor (unsigned int which) const
virtual void | setLineWidth (unsigned int which, int width)
virtual int | getLineWidth (unsigned int which) const
virtual void | setLineStyle (unsigned int which, Qt::PenStyle style)
virtual const Qt::PenStyle | getLineStyle (unsigned int which) const
virtual void | setLineMarker (unsigned int which, QwtSymbol::Style marker)
virtual const QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual void | setMarkerAlpha (unsigned int which, int alpha)
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Public Member Functions

| TimeDomainDisplayPlot (int nplots, QWidget *)
| ~TimeDomainDisplayPlot () override
| TimeDomainDisplayPlot (const TimeDomainDisplayPlot &)=delete
| TimeDomainDisplayPlot (TimeDomainDisplayPlot &&)=delete
TimeDomainDisplayPlot & | operator= (const TimeDomainDisplayPlot &)=delete
TimeDomainDisplayPlot & | operator= (TimeDomainDisplayPlot &&)=delete
void | plotNewData (const std::vector< double * > dataPoints, const int64_t numDataPoints, const double timeInterval, const std::vector< std::vector< gr::tag_t > > &tags=std::vector< std::vector< gr::tag_t > >())
void | replot () override
void | stemPlot (bool en)
double | sampleRate () const
const QColor | getTagTextColor ()
const QColor | getTagBackgroundColor ()
const Qt::BrushStyle | getTagBackgroundStyle ()
Public Member Functions inherited from DisplayPlot
| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
const Qt::PenStyle | getLineStyle1 () const
const Qt::PenStyle | getLineStyle2 () const
const Qt::PenStyle | getLineStyle3 () const
const Qt::PenStyle | getLineStyle4 () const
const Qt::PenStyle | getLineStyle5 () const
const Qt::PenStyle | getLineStyle6 () const
const Qt::PenStyle | getLineStyle7 () const
const Qt::PenStyle | getLineStyle8 () const
const Qt::PenStyle | getLineStyle9 () const
const QwtSymbol::Style | getLineMarker1 () const
const QwtSymbol::Style | getLineMarker2 () const
const QwtSymbol::Style | getLineMarker3 () const
const QwtSymbol::Style | getLineMarker4 () const
const QwtSymbol::Style | getLineMarker5 () const
const QwtSymbol::Style | getLineMarker6 () const
const QwtSymbol::Style | getLineMarker7 () const
const QwtSymbol::Style | getLineMarker8 () const
const QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Properties

QColor | tag_text_color
QColor | tag_background_color
Qt::BrushStyle | tag_background_style
Properties inherited from DisplayPlot
QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Additional Inherited Members

Signals inherited from DisplayPlot
void | plotPointSelected (const QPointF p)
Protected Slots inherited from DisplayPlot
virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)
Protected Attributes inherited from DisplayPlot
unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state

## Detailed Description

QWidget for displaying time domain plots.

## Constructor & Destructor Documentation

## TimeDomainDisplayPlot() [1/3]

TimeDomainDisplayPlot::TimeDomainDisplayPlot | ( | int | nplots,
|  | QWidget * | )

## ~TimeDomainDisplayPlot()

TimeDomainDisplayPlot::~TimeDomainDisplayPlot | ( |  | ) |

override

## TimeDomainDisplayPlot() [2/3]

TimeDomainDisplayPlot::TimeDomainDisplayPlot | ( | const TimeDomainDisplayPlot & |  | ) |

delete

## TimeDomainDisplayPlot() [3/3]

TimeDomainDisplayPlot::TimeDomainDisplayPlot | ( | TimeDomainDisplayPlot && |  | ) |

delete

## Member Function Documentation

## attachTriggerLines

void TimeDomainDisplayPlot::attachTriggerLines | ( | bool | en | ) |

slot

## enableTagMarker

void TimeDomainDisplayPlot::enableTagMarker | ( | unsigned int | which,
|  | bool | en )

slot

## getTagBackgroundColor()

const QColor TimeDomainDisplayPlot::getTagBackgroundColor | ( |  | ) |

## getTagBackgroundStyle()

const Qt::BrushStyle TimeDomainDisplayPlot::getTagBackgroundStyle | ( |  | ) |

## getTagTextColor()

const QColor TimeDomainDisplayPlot::getTagTextColor | ( |  | ) |

## legendEntryChecked [1/2]

void TimeDomainDisplayPlot::legendEntryChecked | ( | const QVariant & | plotItem,
|  | bool | on,
|  | int | index )

override slot

## legendEntryChecked [2/2]

void TimeDomainDisplayPlot::legendEntryChecked | ( | QwtPlotItem * | plotItem,
|  | bool | on )

override slot

## operator=() [1/2]

TimeDomainDisplayPlot & TimeDomainDisplayPlot::operator= | ( | const TimeDomainDisplayPlot & |  | ) |

delete

## operator=() [2/2]

TimeDomainDisplayPlot & TimeDomainDisplayPlot::operator= | ( | TimeDomainDisplayPlot && |  | ) |

delete

## plotNewData()

void TimeDomainDisplayPlot::plotNewData | ( | const std::vector< double * > | dataPoints,
|  | const int64_t | numDataPoints,
|  | const double | timeInterval,
|  | const std::vector< std::vector< gr::tag_t > > & | tags = std::vector< std::vector< gr::tag_t > >() )

## replot()

void TimeDomainDisplayPlot::replot | ( |  | ) |

override virtual

Implements DisplayPlot.

## sampleRate()

double TimeDomainDisplayPlot::sampleRate | ( |  | ) | const

## setAutoScale

void TimeDomainDisplayPlot::setAutoScale | ( | bool | state | ) |

slot

## setAutoScaleShot

void TimeDomainDisplayPlot::setAutoScaleShot | ( |  | ) |

slot

## setSampleRate

void TimeDomainDisplayPlot::setSampleRate | ( | double | sr,
|  | double | units,
|  | const std::string & | strunits )

slot

## setSemilogx

void TimeDomainDisplayPlot::setSemilogx | ( | bool | en | ) |

slot

## setSemilogy

void TimeDomainDisplayPlot::setSemilogy | ( | bool | en | ) |

slot

## setTagBackgroundColor

void TimeDomainDisplayPlot::setTagBackgroundColor | ( | QColor | c | ) |

slot

## setTagBackgroundStyle

void TimeDomainDisplayPlot::setTagBackgroundStyle | ( | Qt::BrushStyle | b | ) |

slot

## setTagTextColor

void TimeDomainDisplayPlot::setTagTextColor | ( | QColor | c | ) |

slot

## setTriggerLines

void TimeDomainDisplayPlot::setTriggerLines | ( | double | x,
|  | double | y )

slot

## setYLabel

void TimeDomainDisplayPlot::setYLabel | ( | const std::string & | label,
|  | const std::string & | unit = "" )

slot

## stemPlot()

void TimeDomainDisplayPlot::stemPlot | ( | bool | en | ) |

## Property Documentation

## tag_background_color

QColor TimeDomainDisplayPlot::tag_background_color

read

## tag_background_style

Qt::BrushStyle TimeDomainDisplayPlot::tag_background_style

read

## tag_text_color

QColor TimeDomainDisplayPlot::tag_text_color

read write

The documentation for this class was generated from the following file:

- TimeDomainDisplayPlot.h